> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get skill

> Retrieve a skill from the company catalog by id.

<div className="endpoint-versions" data-nav-page="/api-reference-v2/core/v4/skills-skill-id-get" data-nav-group="Skills">
  <span className="endpoint-versions-label">Version:</span>
  <span data-version="v4" data-current>v4</span>
</div>


## OpenAPI

````yaml openapi-v2.json GET /core/v4/skills/{skillId}
openapi: 3.0.0
info:
  title: Sesame Public API v2
  description: >-
    Public API v2 — additive surface `/public/{context}/v{N}`,
    endpoint-versioned from v4
  version: 1.0.0
servers:
  - url: https://api.sesamehr.com
    description: Production
security:
  - Bearer: []
paths:
  /core/v4/skills/{skillId}:
    get:
      tags:
        - Skills
      summary: Get skill
      description: Retrieve a skill from the company catalog by id.
      operationId: GetSkill
      parameters:
        - name: skillId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The skill.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillResponse'
        '401':
          description: Missing or invalid API key
        '403':
          description: API consumer lacks permission over the requested resource
        '422':
          description: Validation error
components:
  schemas:
    SkillResponse:
      properties:
        data:
          $ref: '#/components/schemas/SkillEntry'
      type: object
    SkillEntry:
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      type: object
  securitySchemes:
    Bearer:
      type: http
      description: 'Sesame Public API consumer token (Authorization: Bearer <token>)'
      scheme: bearer

````